Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(128)

Unified Diff: platform_tools/ios/bin/ios_setup.sh

Issue 1131933007: Making mount more robust (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 5 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/ios/bin/ios_setup.sh
diff --git a/platform_tools/ios/bin/ios_setup.sh b/platform_tools/ios/bin/ios_setup.sh
index 7b42e21c5253280f088fb0d597047502a83f7efb..d9d7a2e7aecf22f2ea03b23979b3a1a5ea5c6e78 100755
--- a/platform_tools/ios/bin/ios_setup.sh
+++ b/platform_tools/ios/bin/ios_setup.sh
@@ -82,7 +82,7 @@ ios_mount() {
# If this is already mounted we unmount it.
if $(mount | grep --quiet "$IOS_MOUNT_POINT"); then
>&2 echo "Device already mounted at: $IOS_MOUNT_POINT - Unmounting."
- ios_umount
+ ios_umount || true
fi
# Ensure there is a mount directory.
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698